nvme_parse_uri(2)

NAME
nvme_parse_uri - Parse the URI string

SYNOPSIS
struct nvme_fabrics_uri * nvme_parse_uri (const char *str );

ARGUMENTS

str URI string

DESCRIPTION
Parse the URI string as defined in the NVM Express Boot Specification. Supported URI elements looks as follows:

nvme+tcp://userhost:port/subsys_nqn/nid?query=val#fragment

RETURN
nvme_fabrics_uri structure on success; NULL on failure with errno set.